KDE 4.7 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.kparts import *`

## Detailed Description

## Class Index

B | H | PartSelectEvent (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | Plugin (KParts)
BrowserExtension (KParts) | HtmlExtension (KParts) | PluginInfo (KParts.Plugin)
BrowserHostExtension (KParts) | L | R
BrowserInterface (KParts) | LiveConnectExtension (KParts) | ReadOnlyPart (KParts)
BrowserOpenOrSaveQuestion (KParts) | M | ReadWritePart (KParts)
BrowserRun (KParts) | MainWindow (KParts) | S
E | O | ScriptableExtension (KParts)
Element (KParts.SelectorInterface) | OpenUrlArguments (KParts) | SelectorInterface (KParts)
Event (KParts) | OpenUrlEvent (KParts) | StatusBarExtension (KParts)
F | P | T
Factory (KParts) | Part (KParts) | TextExtension (KParts)
FileInfoExtension (KParts) | PartActivateEvent (KParts) | W
G | PartBase (KParts) | WindowArgs (KParts)
GUIActivateEvent (KParts) | PartManager (KParts) |

## Functions

| qSwap (KParts.SelectorInterface.Element lhs, KParts.SelectorInterface.Element rhs)

## Function Documentation

qSwap | ( | KParts.SelectorInterface.Element | lhs,
|  | KParts.SelectorInterface.Element | rhs
| ) |  |  |